package modelSimCase;

import java.io.IOException;

import influx.adapter.DBConnector;
import prodSim.DatabaseConfiguration;
import prodSim.management.ModelDeserializer;

import org.junit.Test;

public class ModelQueries {
	

	@Test
	public void testQueryAttribute4TP() throws InterruptedException, IOException {
		System.out.println("Query only");
		
		// Setup Database
		ModelDeserializer md = new ModelDeserializer();
		DatabaseConfiguration dbconfig = (DatabaseConfiguration) md.loadModel("model/dbconfig.xmi");
		DBConnector db = DBConnector.getInstance();
		db.startDB(dbconfig.getDatabaseconnection().getServerURL(), dbconfig.getDatabaseuser().getUserName(), 
				dbconfig.getDatabaseuser().getPassword(), dbconfig.getDatabaseconnection().getDataBaseName(),
				dbconfig.getRetentionPolicy().getDuration());
		
		String feature = "temperature";
		String object = "1845517769";
		String value = "20";
		String ts1 = "1589291240099000000";
		String ts2 = "1589291240099000010";
		
		// Test different queries
		String answer = db.getValueAt(ts1, object, feature);
		System.out.println("Answer: " + answer);
		
		String answer2 = db.getTimePointsForValue(object, feature, value);
		System.out.println("Answer: " + answer2);
		
		String answer3 = db.getValueBetween(ts1, ts2, object, feature);
		System.out.println("Answer: " + answer3);
	}
}
